import request from '@/utils/request';

//获取库存列表
export function getInventoryList(params) {
  return request({
    url: '/app/inventory/getInventoryList',
    method: 'get',
    params
  });
}

// 退料工程-下拉
export function getProList(params) {
  return request({
    url: '/app/common/getProList',
    method: 'get',
    params
  });
}

// 退料物资列表
export function getMaTypeByReturnCheck(params) {
  return request({
    url: '/app/common/getMaTypeByReturnCheck',
    method: 'get',
    params
  });
}

// 退料清点-提交
export function addData(data) {
  return request({
    url: '/app/returnCheck/addData',
    method: 'post',
    data
  });
}

// 退料清点记录
export function getRecordList(params) {
  return request({
    url: '/app/returnCheck/getRecordList',
    method: 'get',
    params
  });
}

// 退料清点记录详情
export function getDetail(params) {
  return request({
    url: '/app/returnCheck/getDetail',
    method: 'get',
    params
  });
}

// 退料清点记录详情-列表
export function getDetailList(params) {
  return request({
    url: '/app/returnCheck/getDetailList',
    method: 'get',
    params
  });
}

// 检验入库-列表
export function getCheckList(params) {
  return request({
    url: '/app/checkStore/getCheckList',
    method: 'get',
    params
  });
}

// 检验鉴定-提交
export function checkAppraise(data) {
  return request({
    url: '/app/checkStore/checkAppraise',
    method: 'post',
    data
  });
}

// 检验记录-列表
export function getCheckRecordList(params) {
  return request({
    url: '/app/checkStore/getCheckRecordList',
    method: 'get',
    params
  });
}

// 检验记录-详情
export function getCheckRecordDetail(params) {
  return request({
    url: '/app/checkStore/getCheckRecordDetail',
    method: 'get',
    params
  });
}

// 库存盘点-列表
export function getInventoryCountList(params) {
  return request({
    url: '/app/inventoryCount/getInventoryCountList',
    method: 'get',
    params
  });
}

// 库存盘点-提交
export function takeStock(data) {
  return request({
    url: '/app/inventoryCount/takeStock',
    method: 'post',
    data
  });
}

// 盘点记录-列表
export function getTakeStockRecordList(params) {
  return request({
    url: '/app/inventoryCount/getTakeStockRecordList',
    method: 'get',
    params
  });
}

// 盘点记录-详情
export function getTakeStockRecordDetail(params) {
  return request({
    url: '/app/inventoryCount/getTakeStockRecordDetail',
    method: 'get',
    params
  });
}